Bug 10299 - Custom kernels with modules lack .rhkmvtag
Custom kernels with modules lack .rhkmvtag
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-22 01:48 EST by kenneth_porter
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kenneth_porter 2000-03-22 01:48:05 EST
When building and installing a new (experimental) kernel, "make
modules_install" fails to update .rhkvmtag in the target directory.
Furthermore, the modules overwrite those for the working kernel.

Desired behavior is to put the new modules in /lib/modules/VERSION-NAME,
where NAME is taken from /usr/src/linux/.name, and create a .rhkvmtag file
in this directory for /etc/rc.d/rc.sysinit to find. (What command does Red
Hat use to create this file? This is not documented! One that appears to
work is "strings vmlinux | grep `uname -n` > .rhkvmtag".)

Ideally one should be able to build a new kernel and revert to the old one
without manually changing links. It should be sufficient to set a name like
"test1" in the .name file and have that completely isolate the new kernel
from the old one.
Comment 1 Bugzilla owner 2004-09-30 11:38:46 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.